Subject: Re: Recursive submodule confusing output (bug?)

From: Jens Lehmann <[email-masked]>
Date: Mon, 18 Feb 2013 20:35:35 +0100

Am 18.02.2013 16:58, schrieb Will Entriken:
> I am running:
> 
>     git submodule update --recursive
> 
> And get the output:
> 
>     Submodule path 'Submodules/evernote-ios-sdk': checked out
> '391ca643c5b1cd02e9fa869a6b0760436ea452ed'
>     Submodule path 'Submodules/facebook-ios-sdk': checked out
> 'ada467f754febd4f2871d15943e9be16b323f114'
>     Submodule path 'Submodules/objectiveflickr': checked out
> 'f474a78c807b5fa0c887bf8efaead5be1da637ec'
>     Submodule path 'Submodules/sskeychain': checked out
> '8252a69cdfea562223d4dc2e2ccaf01b752d2cc6'
> 
> This is a little confusing to me, would this be more appropriate?
> 
>     Submodule path 'Submodules/ShareKit/Submodules/evernote-ios-sdk':
> checked out '391ca643c5b1cd02e9fa869a6b0760436ea452ed'
>     Submodule path 'Submodules/ShareKit/Submodules/facebook-ios-sdk':
> checked out 'ada467f754febd4f2871d15943e9be16b323f114'
>     Submodule path 'Submodules/ShareKit/Submodules/objectiveflickr':
> checked out 'f474a78c807b5fa0c887bf8efaead5be1da637ec'
>     Submodule path 'Submodules/ShareKit/Submodules/sskeychain':
> checked out '8252a69cdfea562223d4dc2e2ccaf01b752d2cc6'

Yes. (I assume from the output that you have a submodule named
"Submodules/ShareKit/" in the superproject which itself contains
those four submodules inside another "Submodules" directory)

> Please let me know if this is something I may fix.

Sure, go ahead! (I just checked, cmd_update() is the only function
in git-submodule.sh without prefix handling; see cmd_foreach() for
an example of how to do that). And - if you're not already familiar
with it - you'll find a detailed description on how to prepare your
fix in "Documentation/SubmittingPatches".